"use strict";
(function ($) {
    $.field_incrementnumber = function (element, options) {
        var defaults = {
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element), 
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('.handle-counter').handleCounter({
                onChange: function () {
                },
                onMinimum: function () {
                },
                onMaximize: function () {
                }
            })
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    
    $.fn.field_incrementnumber = function (options) {
        
        return this.each(function () {
            
            if (undefined == $(this).data('field_incrementnumber')) {
                var plugin = new $.field_incrementnumber(this, options);
                $(this).data('field_incrementnumber', plugin);
            }
        });
    }
})(jQuery);